X2Go Bug report logs - #28
Xfixes issues with Ubuntu precise and above

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 14 Sep 2012 14:38:45 UTC

Severity: normal

Tags: confirmed

Found in version 3.1.1.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#28; Package x2goserver. (Fri, 14 Sep 2012 14:38:45 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Sep 2012 14:38:45 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

Received: (at submit) by bugs.x2go.org; 14 Sep 2012 14:35:33 +0000
From mike.gabriel@das-netzwerkteam.de  Fri Sep 14 16:35:33 2012
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir (Postfix) with ESMTPS id 9DEF15DA2A
	for <submit@bugs.x2go.org>; Fri, 14 Sep 2012 16:35:33 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 69971A75
	for <submit@bugs.x2go.org>; Fri, 14 Sep 2012 16:35:33 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 128BE3BBE0
	for <submit@bugs.x2go.org>; Fri, 14 Sep 2012 16:35:33 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id ltOMXUkAk7q9 for <submit@bugs.x2go.org>;
	Fri, 14 Sep 2012 16:35:32 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id DB23D3BF23
	for <submit@bugs.x2go.org>; Fri, 14 Sep 2012 16:35:32 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id B48353BBE0
	for <submit@bugs.x2go.org>; Fri, 14 Sep 2012 16:35:32 +0200 (CEST)
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
	grimnir.das-netzwerkteam.de
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
	autolearn=ham version=3.3.1 running as userid=
X-Spam-Level: 
X-Spam-Bayes-Score: 0.0000
Received: by grimnir.das-netzwerkteam.de (Postfix, from userid 33)
	id 341D33BF23; Fri, 14 Sep 2012 16:35:32 +0200 (CEST)
Received: from 58-253-static.kielnet.net (58-253-static.kielnet.net
 [89.27.253.58]) by mail.das-netzwerkteam.de (Horde Framework) with HTTP;
 Fri, 14 Sep 2012 16:35:32 +0200
Message-ID: <20120914163532.166414qvxtlu6xf8@mail.das-netzwerkteam.de>
X-Priority: 3 (Normal)
Date: Fri, 14 Sep 2012 16:35:32 +0200
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: x2go kubuntu 12.4
MIME-Version: 1.0
Content-Type: multipart/signed;
 boundary="=_xe2t8kgp0vo";
 protocol="application/pgp-signature";
 micalg="pgp-sha1"
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.4)
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 3.1.1.3
Tags: confirmed
Severity: normal

Forwarding this issue into the X2Go bug tracker...
Mike

----- Weitergeleitete Nachricht von mirco@rohloff.de -----
     Datum: Sun, 19 Aug 2012 23:19:19 +0200
       Von: Mirco Rohloff <mirco@rohloff.de>
   Betreff: [X2Go-User] x2go kubuntu 12.4
        An: x2go-user@lists.berlios.de

Hello,

i want to use Kubuntu 12.4 LTS with X2go. After any Login the Kdesktop  
restarts with folloing Krash Report. Has anybody a workaroung for this  
problem?

Thanks Mirco


Application: KWin (kwin), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc671dfe780 (LWP 15661))]

Thread 3 (Thread 0x7fc655994700 (LWP 15663)):
#0  0x00007fc66ce0bee8 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#1  0x00007fc66ce0dd31 in  
QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()  
from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc66cddac82 in  
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()  
from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc66cddaed7 in  
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from  
/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc66ccd9fa7 in QThread::exec() () from  
/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc66cdba9ff in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc66ccdcfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007fc665f03e9a in start_thread () from  
/lib/x86_64-linux-gnu/libpthread.so.0
#8  0x00007fc6716154bd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc655193700 (LWP 15664)):
#0  0x00007fc665f07d84 in pthread_cond_wait@@GLIBC_2.3.2 () from  
/lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc66e0cb222 in ?? () from  
/usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007fc66e0cb259 in ?? () from  
/usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007fc665f03e9a in start_thread () from  
/lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007fc6716154bd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc671dfe780 (LWP 15661)):
[KCrash Handler]
#6  0x00007fc6715a602c in free () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x00007fc66f057819 in XFree () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#8  0x00007fc66ebff2ee in XRRUpdateConfiguration () from  
/usr/lib/x86_64-linux-gnu/libXrandr.so.2
#9  0x00007fc67194cc60 in ?? () from  
/usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#10 0x00007fc67193e4b8 in ?? () from  
/usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#11 0x00007fc66c1cdb85 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#12 0x00007fc66c1dcf98 in QApplication::x11ProcessEvent(_XEvent*) ()  
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#13 0x00007fc66c207b3a in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#14 0x00007fc66cddac82 in  
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()  
from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#15 0x00007fc66cddaed7 in  
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from  
/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007fc66cddff67 in QCoreApplication::exec() () from  
/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007fc671940c36 in kdemain () from  
/usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#18 0x00007fc67154476d in __libc_start_main () from  
/lib/x86_64-linux-gnu/libc.so.6
#19 0x0000000000400661 in _start ()
_______________________________________________
X2Go-User mailing list
X2Go-User@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-user


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#28; Package x2goserver. (Fri, 14 Sep 2012 20:54:14 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Sep 2012 20:54:14 GMT) (full text, mbox, link).


Message #10 received at 28@bugs.x2go.org (full text, mbox, reply):

Received: (at 28) by bugs.x2go.org; 14 Sep 2012 20:53:01 +0000
From mike.gabriel@das-netzwerkteam.de  Fri Sep 14 22:53:01 2012
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir (Postfix) with ESMTPS id B2FD45DA2A
	for <28@bugs.x2go.org>; Fri, 14 Sep 2012 22:53:01 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 28F04DDB
	for <28@bugs.x2go.org>; Fri, 14 Sep 2012 22:53:01 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 772D13B996
	for <28@bugs.x2go.org>; Fri, 14 Sep 2012 22:53:00 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id APWUmKrP174E for <28@bugs.x2go.org>;
	Fri, 14 Sep 2012 22:52:59 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id EEEBF3BA25
	for <28@bugs.x2go.org>; Fri, 14 Sep 2012 22:52:58 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 7734B3B996
	for <28@bugs.x2go.org>; Fri, 14 Sep 2012 22:52:58 +0200 (CEST)
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
	grimnir.das-netzwerkteam.de
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
	autolearn=ham version=3.3.1 running as userid=
X-Spam-Level: 
X-Spam-Bayes-Score: 0.0000
Received: by grimnir.das-netzwerkteam.de (Postfix, from userid 33)
	id B56FA3BF23; Fri, 14 Sep 2012 22:52:57 +0200 (CEST)
Received: from 207-9-142-46.pool.kielnet.net (207-9-142-46.pool.kielnet.net
 [46.142.9.207]) by mail.das-netzwerkteam.de (Horde Framework) with HTTP;
 Fri, 14 Sep 2012 22:52:57 +0200
Message-ID: <20120914225257.5524440b6mw05549@mail.das-netzwerkteam.de>
X-Priority: 3 (Normal)
Date: Fri, 14 Sep 2012 22:52:57 +0200
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 28@bugs.x2go.org
Cc: mirco@rohloff.de
Subject: Kubuntu crashes reduced as best as possible from the X2Go side...
MIME-Version: 1.0
Content-Type: multipart/signed;
 boundary="=_3ug029gf5bmx";
 protocol="application/pgp-signature";
 micalg="pgp-sha1"
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.4)
[Message part 1 (text/plain, inline)]
tags #28 pending fixed
thanks

Hi all,

The issue is solved on the X2Go side, however please note that the  
crashing kwin process is a Ubuntu-only bug and probably due to one of  
their libXrandr patches applied on top of KDE4. The issue does not  
occur on Debian.

From the X2Go side we could do as much as possible:

Use libXrandr from libnx-x11:
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1590476de31766028725fa1272dfcc50b7d1305e
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b8605d4d6c6f02466ab7586c8ece6b4bd9570751

LD_LIBRARY_PATH bug:
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=29
->
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=0b3c71ca7b6e3681a2ade80346621b22ffa7f255

So, what we have after these fixes:

  + Kubuntu startsup ok.
  + Kubuntu still crashes when a resize event occurs on the session window
    -> This is not relevant to X2Go thin clients, though, as they do  
not resize
       the desktop.
  + you cannot resize the display resolution in Kubuntu (using RandR, Resize
    and Rotate)

IMHO, this has to be solved in the Ubuntu version of KDE.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed and pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Sep 2012 20:54:14 GMT) (full text, mbox, link).


Removed tag(s) fixed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Sep 2012 20:55:36 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#28; Package x2goserver. (Tue, 25 Sep 2012 14:39:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 25 Sep 2012 14:39:02 GMT) (full text, mbox, link).


Message #19 received at 28@bugs.x2go.org (full text, mbox, reply):

Received: (at 28) by bugs.x2go.org; 25 Sep 2012 14:37:20 +0000
From mike.gabriel@das-netzwerkteam.de  Tue Sep 25 16:37:20 2012
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir (Postfix) with ESMTPS id 5D4E25DB15;
	Tue, 25 Sep 2012 16:37:20 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 41159AD4;
	Tue, 25 Sep 2012 16:37:20 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 22ECA3BB6C;
	Tue, 25 Sep 2012 16:37:20 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id IbcwTvUGBwvR; Tue, 25 Sep 2012 16:37:20 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 018E93BFE9;
	Tue, 25 Sep 2012 16:37:20 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id D59193BB6C;
	Tue, 25 Sep 2012 16:37:19 +0200 (CEST)
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
	grimnir.das-netzwerkteam.de
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
	autolearn=ham version=3.3.1 running as userid=
X-Spam-Level: 
X-Spam-Bayes-Score: 0.0000
Received: by grimnir.das-netzwerkteam.de (Postfix, from userid 33)
	id 9528A3BFE9; Tue, 25 Sep 2012 16:37:19 +0200 (CEST)
Received: from 195.244.234.222 ([195.244.234.222]) by
 mail.das-netzwerkteam.de (Horde Framework) with HTTP; Tue, 25 Sep 2012
 16:37:19 +0200
Message-ID: <20120925163719.65104fqi605njixr@mail.das-netzwerkteam.de>
X-Priority: 3 (Normal)
Date: Tue, 25 Sep 2012 16:37:19 +0200
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 28@bugs.x2go.org, 29@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Closing X2Go bugs after release of X2Go Server 3.1.1.4
MIME-Version: 1.0
Content-Type: multipart/signed;
 boundary="=_4c5309wzkcyn";
 protocol="application/pgp-signature";
 micalg="pgp-sha1"
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.4)
[Message part 1 (text/plain, inline)]
close #28
close #29
thanks

Closing X2Go Server bugs:

  The released version 3.1.1.4 closes:
  http://bugs.x2go.org/28
  http://bugs.x2go.org/29

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 25 Sep 2012 14:39:04 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Tue, 25 Sep 2012 14:39:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <git-admin@x2go.org> to internal_control@bugs.x2go.org. (Wed, 24 Oct 2012 05:24:01 GMT) (full text, mbox, link).


Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 09 Jan 2013 15:18:02 GMT) (full text, mbox, link).


Bug reopened Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 09 Jan 2013 15:18:02 GMT) (full text, mbox, link).


Changed Bug title to 'Xfixes issues with Ubuntu precise and above' from 'x2go kubuntu 12.4' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 09 Jan 2013 15:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#28; Package x2goserver. (Wed, 09 Jan 2013 15:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 15:33:02 GMT) (full text, mbox, link).


Message #36 received at 28@bugs.x2go.org (full text, mbox, reply):

Received: (at 28) by bugs.x2go.org; 9 Jan 2013 15:22:19 +0000
From mike.gabriel@das-netzwerkteam.de  Wed Jan  9 16:22:19 2013
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir (Postfix) with ESMTPS id 7DABF5DB0A
	for <28@bugs.x2go.org>; Wed,  9 Jan 2013 16:22:19 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 562B6E00
	for <28@bugs.x2go.org>; Wed,  9 Jan 2013 16:22:19 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 450863B9D2
	for <28@bugs.x2go.org>; Wed,  9 Jan 2013 16:22:19 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id WIr1Wgesgne8 for <28@bugs.x2go.org>;
	Wed,  9 Jan 2013 16:22:19 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 0D00F3BA34
	for <28@bugs.x2go.org>; Wed,  9 Jan 2013 16:22:19 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id E73A33B9D2
	for <28@bugs.x2go.org>; Wed,  9 Jan 2013 16:22:18 +0100 (CET)
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
	grimnir.das-netzwerkteam.de
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
	autolearn=ham version=3.3.1 running as userid=
X-Spam-Level: 
X-Spam-Bayes-Score: 0.0000
Received: by grimnir.das-netzwerkteam.de (Postfix, from userid 33)
	id AE0463BA34; Wed,  9 Jan 2013 16:22:18 +0100 (CET)
Received: from 79-175-142-46.pool.kielnet.net
 (79-175-142-46.pool.kielnet.net [46.142.175.79]) by
 mail.das-netzwerkteam.de (Horde Framework) with HTTP; Wed, 09 Jan 2013
 16:22:18 +0100
Message-ID: <20130109162218.128952ptu1hjfaqy@mail.das-netzwerkteam.de>
X-Priority: 3 (Normal)
Date: Wed, 09 Jan 2013 16:22:18 +0100
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 28@bugs.x2go.org
Subject: Xfixes issues with Ubuntu precise and above
MIME-Version: 1.0
Content-Type: multipart/signed;
 boundary="=_4zbvpv16ncx6";
 protocol="application/pgp-signature";
 micalg="pgp-sha1"
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.4)
[Message part 1 (text/plain, inline)]
Re-opening this issue as it is not 100% solved and understood...

The situation is: with extensions XFIXES enabled in nxagent/x2goagent   
we observe KDE crashes on Ubuntu precise and above. The crashes happen  
 in kwin.

The problem could be tracked down to some problems in libxfixes. The   
change must have been between libxfixes from oneiric and libxfixes   
from precise.

On IRC I wrote this about the observed issue:

15:48 < sunweaver> siretart: I might have found the libxfixes issue   
with libxfixes since precise...
15:48 < sunweaver> at least I have several question marks...
15:49 < sunweaver> the xserver-xorg src package in precise has a patch  
 named: 500_pointer_barrier_thresholds.diff
15:50 < sunweaver> this patches in xfixes v6 code into the xfixes v5 extension
15:51 < sunweaver> in that patch you can also see that the xfixes   
extension version is also incremented (5 -> 6)
15:52 < sunweaver> the libxfixes 1:5.0-4ubuntu4 and the package   
x11proto-fixes-dev 1:5.0-2ubuntu1 package also have patches for this   
improvement: both named
                   01_fixesproto-v6.diff.
15:54 < sunweaver> However, when looking at a build of libxfixes   
5.0-4ubuntu4 I see a config.h file that announces itself with   
PACKAGE_VERSION 5.0.
15:55 < sunweaver> So, my current guess is that libxfixes annouces   
itself as v5 and also does a xlib-xserver version handshake based on   
v5, but then
                   executes code from libxfixes v6 which then breaks nxagent.
15:55 < sunweaver> Is that possible?

Can anyone comment on this?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

[Message part 2 (application/pgp-signature, inline)]
[Message part 3 (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 11 Feb 2013 11:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#28; Package x2goserver. (Wed, 29 Oct 2014 22:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 29 Oct 2014 22:40:01 GMT) (full text, mbox, link).


Message #43 received at 28@bugs.x2go.org (full text, mbox, reply):

Received: (at 28) by bugs.x2go.org; 29 Oct 2014 22:39:24 +0000
From ulrich.sibiller@gmail.com  Wed Oct 29 23:39:24 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: **
X-Spam-Status: No, score=2.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	FREEMAIL_REPLYTO,FREEMAIL_REPLYTO_END_DIGIT,T_DKIM_INVALID autolearn=no
	version=3.3.2
Received: from mail-lb0-f176.google.com (mail-lb0-f176.google.com [209.85.217.176])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id E85025DB48
	for <28@bugs.x2go.org>; Wed, 29 Oct 2014 23:39:23 +0100 (CET)
Received: by mail-lb0-f176.google.com with SMTP id z11so1318054lbi.7
        for <28@bugs.x2go.org>; Wed, 29 Oct 2014 15:39:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:reply-to:from:date:message-id:subject:to:content-type;
        bh=doFv1uylXWVFwhsNNRGndhtLPzpFLVzSX2o+gXKv5uM=;
        b=jVvRae2Z8kqM9OGMPb5ELBwx08eUJ5D7YBCimEaZIEJAU5dQjtzZrVX54ZYecMUImV
         qFjNfx6tPBa96UZhY19E+b+Te9W5MGrWcSlqFHdpSLBLqybXnEDCeJbDZceZ/KbnoGWx
         DqmvlN3xLFDcG1+GIrFi8gwEKF0+oGiWp2AR+f6z/mK+bVzpXzE+YYfUnOgHyd2a2E+L
         oYNDFGfSV9YL1OJx+GtwXaIqXcQ2DlEsgLed4r179yzpML/42NW1AsVMKpsWXE8Tu2cP
         wOOIZSdjPfsfZdJNBqpuVh+EhF2ZTx1V0qO0nhvr9/dg1vxBYYjjZ7VRG+uGPwqSlUfW
         XNHg==
X-Received: by 10.112.137.202 with SMTP id qk10mr14553083lbb.0.1414622363225;
 Wed, 29 Oct 2014 15:39:23 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.112.180.197 with HTTP; Wed, 29 Oct 2014 15:39:03 -0700 (PDT)
Reply-To: uli42@gmx.de
From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
Date: Wed, 29 Oct 2014 23:39:03 +0100
Message-ID: <CANVnVY+-GSQLTkOKLc11Nw1vLJMy7YUYMrDcVTfDauKzqcV4YA@mail.gmail.com>
Subject: Seems to be fixed in newer versions
To: 28@bugs.x2go.org
Content-Type: text/plain; charset=UTF-8
Well, looking at the source of the current libxfixes (of Ubuntu
Trusty) I can find no XFIXES version 6 code. Additionally
libxfixes_5.0.1-1ubuntu1.diff.gz contains this changelog update:

+ -- Julien Cristau <jcristau@debian.org>  Tue, 14 May 2013 10:12:48 +0200
+
+libxfixes (1:5.0-4ubuntu6) raring; urgency=low
+
+  * Drop the v6 protocol.
+

I cannot test a full KDE setup here but I think at least the
speculation that v6 could be the reason can be dropped. Do the kwin
crashes still happen with Raring or any later release of (K)Ubuntu?
(For Precise a backport might be necessary.)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#28; Package x2goserver. (Mon, 12 Dec 2016 04:00:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#28; Package x2goserver. (Sun, 12 Feb 2017 12:15:02 GMT) (full text, mbox, link).


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#28: [X2Go-Dev] Bug#28: Seems to be fixed in newer versions
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 28@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Wed, 21 Nov 2018 20:35:01 +0000
Resent-Message-ID: <handler.28.B28.154283238413405@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 28
X-X2Go-PR-Package: x2goserver
X-X2Go-PR-Keywords: confirmed
Received: via spool by 28-submit@bugs.x2go.org id=B28.154283238413405
          (code B ref 28); Wed, 21 Nov 2018 20:35:01 +0000
Received: (at 28) by bugs.x2go.org; 21 Nov 2018 20:33:04 +0000
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=3.0 tests=BAYES_00,URIBL_BLOCKED
	autolearn=ham autolearn_force=no version=3.4.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 69A8E5DAED
	for <28@bugs.x2go.org>; Wed, 21 Nov 2018 21:33:00 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id kPmzXtTYg3b9 for <28@bugs.x2go.org>;
	Wed, 21 Nov 2018 21:32:46 +0100 (CET)
Received: from fregna.das-netzwerkteam.de (fregna.das-netzwerkteam.de [148.251.53.130])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id A3A3A5DACB
	for <28@bugs.x2go.org>; Wed, 21 Nov 2018 21:32:46 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [148.251.201.105])
	by fregna.das-netzwerkteam.de (Postfix) with ESMTPS id 6BA1160553;
	Wed, 21 Nov 2018 20:32:46 +0000 (UTC)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 69641C26D3;
	Wed, 21 Nov 2018 21:32:46 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id ZIpuGfaz03IG; Wed, 21 Nov 2018 21:32:40 +0100 (CET)
Received: from das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id 4EE30C2812;
	Wed, 21 Nov 2018 21:25:27 +0100 (CET)
Received: from [37.123.126.38] ([37.123.126.38]) by mail.das-netzwerkteam.de
 (Horde Framework) with HTTPS; Wed, 21 Nov 2018 20:25:27 +0000
Date: Wed, 21 Nov 2018 20:25:27 +0000
Message-ID: <20181121202527.Horde.JjdAzDdMcEW_ajqJ58duV_c@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: uli42@gmx.de, 28@bugs.x2go.org
In-Reply-To: <CANVnVY+-GSQLTkOKLc11Nw1vLJMy7YUYMrDcVTfDauKzqcV4YA@mail.gmail.com>
User-Agent: Horde Application Framework 5
Accept-Language: de,en
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 37.123.126.38
X-Remote-Browser: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Firefox/60.0
Content-Type: multipart/signed; boundary="=_wqa8iyAw-sS0IM3fcFW5zaN";
 protocol="application/pgp-signature"; micalg=pgp-sha256
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
Control: close -1

Hi,

On  Mi 29 Okt 2014 23:39:03 CET, Ulrich Sibiller wrote:

> Well, looking at the source of the current libxfixes (of Ubuntu
> Trusty) I can find no XFIXES version 6 code. Additionally
> libxfixes_5.0.1-1ubuntu1.diff.gz contains this changelog update:
>
> + -- Julien Cristau <jcristau@debian.org>  Tue, 14 May 2013 10:12:48 +0200
> +
> +libxfixes (1:5.0-4ubuntu6) raring; urgency=low
> +
> +  * Drop the v6 protocol.
> +
>
> I cannot test a full KDE setup here but I think at least the
> speculation that v6 could be the reason can be dropped. Do the kwin
> crashes still happen with Raring or any later release of (K)Ubuntu?
> (For Precise a backport might be necessary.)

Finally closing this issue. Old and rotten and mostly gone these days.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 21 Nov 2018 20:35:03 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 28-submit@bugs.x2go.org. (Wed, 21 Nov 2018 20:35:04 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 21 Nov 2018 20:35:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 20 Dec 2018 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Mar 5 10:16:46 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.